# Arduino touchless projects

### Code versions

- **touchless_basic**: Runs as long as your hand is within its reach.
- **touchless_power_switch**: Switching devices on and off.
- **touchless_disinfection**: Runs for a specified time and then stops. [default is 50ms]


#### Hardware

##### Possible Arduino variants (choose only one):
* Arduino: - https://www.conrad.ch/de/p/arduino-ag-mikrocontroller-uno-rev3-smd-191789.html   **23.-**
* Arduino: - https://www.distrelec.ch/de/mikrocontroller-board-uno-arduino-a000066/p/11038919 **19.-**
* Arduino Nano: - https://www.distrelec.ch/de/arduino-nano-board-arduino-a000005/p/11096733 **18.-**
* Arduino Nano Every - https://www.distrelec.ch/de/arduino-nano-every-arduino-abx00028/p/30150884 **11.-**

##### Required components:
* Relay:   - https://www.play-zone.ch/de/elektronik-kit-zubehoer/module-karten/relais/1-kanal-relais-modul-karte-5v-30vdc-mit-kabel.html  **11.-**
* *Alternative Relay: - https://www.distrelec.ch/de/power-relay-featherwing-adafruit-3191/p/30129209 10.-*
* Sensor: - https://www.distrelec.ch/de/ultraschall-abstandssensor-hc-sr04-5v-adafruit-3942/p/30139186 **4.-**
* *Alternativer Sensor: - https://www.pi-shop.ch/ultrasonic-range-sensor-hc-sr04   7.-*


##### Zubehör
* Display: - https://www.distrelec.ch/de/standard-lcd-16-5v-adafruit-181/p/30139065 **11.-**
* *Alternative Display2: - https://www.distrelec.ch/de/grove-16-lcd-weiss-auf-blau-seeed-studio-104020111/p/30127509 6.-*
* Pump (for disinfection):   - https://www.conrad.ch/de/p/modelcraft-kraftstoff-getriebepumpe-benzinfest-foerdermenge-0-6-l-207894.html  **13.-**